import request from '@/utils/request'


//供应商管理-列表
export function listSupplierInfo(query) {
  return request({
    url: '/base/supplierInfo/list',
    method: 'get',
    params: query
  })
}
//供应商管理-详情
export function getSupplierInfo(supplierId) {
  return request({
    url: '/base/supplierInfo/' + supplierId,
    method: 'get'
  })
}
//供应商管理--新增
export function addSupplier(data) {
  return request({
    url: '/base/supplierInfo',
    method: 'post',
    data: data
  })
}
// 供应商管理--修改
export function updateSupplier(data) {
  return request({
    url: '/base/supplierInfo',
    method: 'put',
    data: data
  })
}
//供应商管理--删除
export function delSupplier(supplierIds) {
  return request({
    url: '/base/supplierInfo/' + supplierIds,
    method: 'delete'
  })
}




//机具设备管理-列表
export function listMaPartType(query) {
  return request({
    url: '/base/maPartType/list',
    method: 'get',
    params: query
  })
}
//机具设备管理-详情
export function getMachine(maId) {
  return request({
    url: '/base/machine/' + maId,
    method: 'get'
  })
}

//机具设备管理--新增
export function addMachine(data) {
  return request({
    url: '/base/machine',
    method: 'post',
    data: data
  })
}
// 机具设备管理--修改
export function updateMachine(data) {
  return request({
    url: '/base/machine',
    method: 'put',
    data: data
  })
}
//机具设备管理--删除
export function delMachine(maIds) {
  return request({
    url: '/base/machine/' + maIds,
    method: 'delete'
  })
}

//
// //配件管理-列表
// export function listMachine(query) {
//   return request({
//     url: '/base/machine/getMachine',
//     method: 'get',
//     params: query
//   })
// }
// //配件管理-详情
// export function getMachine(maId) {
//   return request({
//     url: '/base/machine/' + maId,
//     method: 'get'
//   })
// }
//
// //配件管理--新增
// export function addMachine(data) {
//   return request({
//     url: '/base/machine',
//     method: 'post',
//     data: data
//   })
// }
// // 配件管理--修改
// export function updateMachine(data) {
//   return request({
//     url: '/base/machine',
//     method: 'put',
//     data: data
//   })
// }
// //配件管理--删除
// export function delMachine(maIds) {
//   return request({
//     url: '/base/machine/' + maIds,
//     method: 'delete'
//   })
// }
